#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>

/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char *argv[])
{
    int N, L;
    scanf("%d", &N);
    if(N<1)
    {
        printf("Nije moguce da broj stalaktita bude manji od 1!");
        return 0;
    }
    if(N>1000)
    {
        printf("Broj stalaktita ne moze biti veci od 1000!");
        return 0;
    }
    scanf("%d", &L);
    if(L<1)
    {
        printf("Perica ne moze biti nizi od 1");
        return 0;
    }
    if(L>1000000000)
    {
        printf("Perice ne moze biti visi od 1 Milijarde");
        return 0;
    }
    printf("\n");
    int H[1000];
    int i;
    for(i=1; i<=N; i++)
    {
        scanf("%d", &H[i]);
        if (H[i]<1)
        {
            printf("Velicina stalaktita ne moze biti manja od 1!");
            return 0;
        }
        if (H[i]>1000000000)
        {
            printf("Velicina stalaktita ne moze biti veca od 1 milijarde!");
            return 0;
        }
    }
    for(i=1; i<=N; i++)
    {
        if (L>=H[i])
        {
            printf("%d", i);
            return 0;       
        }
    }
    printf("-1");

    
    return 0;
}